Subject: Re: b19 SIGSEGV in _size_of_stack_reserve
From: [email-masked] (Tim Harding)

9 Dec 1998 08:42:08 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]

> Trying to run a pgrm I compiled under b19, I am getting an error. Under GDB, it 
> > get 
> > 
> > SIGSEGV 
> > 0x100451 _size_of_stack_reserve
> > 
> > It looks like a stack pb... any idea?
> 
> Hi Felix
> 
> I have a similar problem having compiled IVtools.
> I run the code and it falls over in
> _size_of_stack_reserve. Did you find an answer?
> 
> I am compiling with b20 but linking with a
> the standard libX11 (X11R6.3) which was built
> with b19.  Therefore it's loading the cygwin DLL twice (under different names), and I did wonder
> if that was causing problems.
> 

I received the following reply.  It may be obvious
what's going on to some of you, but others may
find the reply interesting:

> Look:  when there is a trap in the dlls, gdb, that doesn't understand
> anything about dlls really tries to find the closest symbol to the
> trap, and that is always that _size_of_stack_reserve_
> 
> --
> Jacob Navia     Logiciels/Informatique
> 41 rue Maurice Ravel                    Tel 01 48.23.51.44
> 93430 Villetaneuse                      Fax 01 48.23.95.39
> France
<[email-masked]>

-----
See the original message at http://www.egroups.com/list/gnu-win32/?start=9880
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".